using System;
using System.Text;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class AddAPopup : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                // Add Data to Map
                // Map - Background and Defaults
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.CurrentExtent = new RectangleShape(-77.655739802084, 43.573175671875, -70.141091364584, 37.970148328125);

                //Map1.MapUnit = GeographyUnit.Meter;
                //Map1.CurrentExtent = new RectangleShape(-10785241.6495495, 3916508.33762434, -10778744.5183967, 3912187.74540771);

                // Map - Scale
                ScaleLineAdornmentLayer scale_line_adornment_layer = new ScaleLineAdornmentLayer();
                LayerOverlay scale_line_adornment_layer_overlay = new LayerOverlay("Scale Line Adornment");
                scale_line_adornment_layer_overlay.IsBaseOverlay = false;
                scale_line_adornment_layer_overlay.TileType = TileType.SingleTile;
                scale_line_adornment_layer_overlay.Layers.Add("ScaleLineAdornmentLayer", scale_line_adornment_layer);
                Map1.CustomOverlays.Add(scale_line_adornment_layer_overlay);

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay("World");
                //worldMapKitOverlay.Projection = WorldMapKitProjection.SphericalMercator;
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }     
    }
}
